	program rt2xy
c
	character*22 junk1,junk2
	open(10,file='temp.in',status='UNKNOWN')
	open(11,file='temp.out',status='UNKNOWN')
c
	degrad=57.2957795
	rho1=2.5395
	theta1=119.47
	x1=-sin(theta1/degrad)*rho1
	y1= cos(theta1/degrad)*rho1
	write(6,901) rho1,theta1,x1,y1
  901	format(4f12.5)
c
  100	read(10,902,end=999) junk1,date,theta2,rho2,junk2
  902	format(a22,f9.4,f7.2,f10.4,a22)
  	x2=-sin(theta2/degrad)*rho2
	y2= cos(theta2/degrad)*rho2
	x3=x2+x1
	y3=y2+y1
	rho3=sqrt(x3*x3+y3*y3)
	theta3=atan(-x3/y3)*degrad
	if (theta3 .lt. 0.) theta3=theta3+180.
	if (theta3 .gt. 180.) theta3=theta3-180.
	write(6,902) junk1,date,theta3,rho3,junk2
	go to 100
  999	stop
  	end
